Summary:	Compressed ROM filesystem for Linux in user-space
Summary(pl.UTF-8):	System plików Compressed ROM dla Linuksa działający w przestrzeni użytkownika
Name:		cromfs
Version:	1.5.10.1
Release:	1
License:	GPL v3
Group:		Applications/System
Source0:	http://bisqwit.iki.fi/src/arch/%{name}-%{version}.tar.bz2
# Source0-md5:	19085af9785dcf007138a959612c254c
URL:		http://bisqwit.iki.fi/source/cromfs.html
BuildRequires:	libfuse-devel >= 0:2.5.2
%if "%{cc_version}" >= "4.2"
BuildRequires:	libgomp-devel
%endif
BuildRequires:	libstdc++-devel
BuildRequires:	lzo-devel >= 2
BuildRequires:	rpmbuild(macros) >= 1.167
Requires:	libfuse >= 0:2.5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cromfs is a compressed read-only filesystem for Linux. Cromfs is
intended for permanently archiving gigabytes of big files that have
lots of redundancy.

In terms of compression it is much similar to 7-zip files, except that
practical realtime access (albeit much slower than on most other
filesystems) can be provided for the whole archive contents; the user
does not need to launch a program to decompress a single file, nor
does he need to wait while the system decompresses 500 files from a
1000-file archive to get him the 1 file he wanted to open.

The creation of cromfs was inspired from Squashfs and Cramfs.

%description -l pl.UTF-8
cromfs to kompresowany system plików tylko do odczytu dla Linuksa.
Jest przeznaczony do trwałego archiwizowania gigabajtów dużych plików
o dużej redundancji.

Jeśli chodzi o kompresję, jest bardzo podobny do plików 7-zip, ale z
możliwością dostępu praktycznie w czasie rzeczywistym (choć dużo
wolniejszym, niż w przypadku większości innych systemów plików) do
całej zawartości archiwum; użytkownik nie musi uruchamiać programu do
dekompresji pojedynczego pliku ani czekać na zdekompresowanie 500
plików z 1000-plikowego archiwum, aby uzyskać 1 pożądany plik.

Stworzenie cromfs było zainspirowane systemami plików squashfs i
cramfs.

%prep
%setup -q

%build
./configure
%{__make} \
	CC="%{__cc}" \
	CPP="%{__cpp}" \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags}" \
	CXXFLAGS="%{rpmcxxflags}" \
	OPTIM="%{rpmcflags}" \
	PROGS="cromfs-driver util/mkcromfs util/unmkcromfs util/cvcromfs"

%{__make} test \
	PROGS="cromfs-driver util/mkcromfs util/unmkcromfs util/cvcromfs"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

install cromfs-driver   $RPM_BUILD_ROOT%{_bindir}
install util/mkcromfs   $RPM_BUILD_ROOT%{_bindir}
install util/unmkcromfs $RPM_BUILD_ROOT%{_bindir}
install util/cvcromfs   $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/ChangeLog doc/FORMAT README.html
%attr(755,root,root) %{_bindir}/cromfs-driver
%attr(755,root,root) %{_bindir}/cvcromfs
%attr(755,root,root) %{_bindir}/mkcromfs
%attr(755,root,root) %{_bindir}/unmkcromfs
%changelog
* Sun Jun 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cromfs.git;a=log;h=master

* Sun Jun 23 2013 Jan Rękorajski <baggins@pld-linux.org> be52764
- rel 1

* Fri Apr 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 96468de
- updated to 1.5.10.1

* Tue Aug 02 2011 Jakub Bogusz <qboosh@pld-linux.org> b3438ea
- up to 1.5.10

* Sun Jan 09 2011 Jakub Bogusz <qboosh@pld-linux.org> b9db981
- updated to 1.5.9.1
- removed obsolete c32,libc patches

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> d12d564
- updated to 1.5.9
- removed obsolete noomp patch, added c32,libc patches
- builds with openmp support if using gcc 4.2+ (BR: libgomp-devel)

* Thu Jan 15 2009 Jakub Bogusz <qboosh@pld-linux.org> fb0c086
- added noomp patch (fixes build without omp)
- pass CC

* Thu Jan 15 2009 Jakub Bogusz <qboosh@pld-linux.org> 421a8f2
- fix build without omp

* Wed Jan 14 2009 duddits <duddits@pld-linux.org> 548e27b
- up to 1.5.6.2

* Sun Jul 20 2008 Jakub Bogusz <qboosh@pld-linux.org> 3ce2455
- updated to 1.5.4

* Sat Aug 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 8c74c9e
- don't build cromfs-driver-static
- License is GPL v3 now

* Sun Aug 19 2007 areq <areq@pld-linux.org> 6a78013
- 1.5.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 88fd01a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f2be3e1
- converted to UTF-8

* Mon Jun 05 2006 areq <areq@pld-linux.org> 201fdc8
- 1.2.0

* Sun Jun 04 2006 areq <areq@pld-linux.org> cb50b2a
- 1.1.6.1

* Fri May 19 2006 darekr <darekr@pld-linux.org> 26893c2
- BR libstdc++-devel

* Thu May 18 2006 Jakub Bogusz <qboosh@pld-linux.org> e12d4de
- pl

* Sun May 14 2006 areq <areq@pld-linux.org> 1d7c666
- 1.1.1

* Sun May 14 2006 areq <areq@pld-linux.org> 3bedee6
- Init PLD spec

